<launch>
  <arg name="group_velocities" default="false" />
  <rosparam file="$(find epuck_controllers)/config/epuck_controllers.yaml" command="load"/>

  <node name="epuck_joint_state_controller_spawner" pkg="controller_manager" type="spawner" respawn="false" output="screen" args="joint_state_controller"/>
  <group if="$(arg group_velocities)">
    <node name="epuck_group_velocity_controller_spawner" pkg="controller_manager" type="spawner" respawn="false" output="screen" args="group_velocity_controller"/>
  </group>
  <group unless="$(arg group_velocities)">
    <node name="epuck_joint_velocity_controllers_spawner" pkg="controller_manager" type="spawner" respawn="false" output="screen" args="right_joint_velocity_controller left_joint_velocity_controller"/>
  </group>
</launch>
